# Uses of Interface
org.eclipse.search.ui.text.IFileMatchAdapter

Packages that use IFileMatchAdapter
Package
Description
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.

## Uses of IFileMatchAdapter in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text that return IFileMatchAdapter
Modifier and Type
Method
Description
`abstract IFileMatchAdapter`
AbstractTextSearchResult.`getFileMatchAdapter()`
Returns an implementation of `IFileMatchAdapter` appropriate for this search result.